/**
   Combine graphics code with GUI code.
*/
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.Graphics;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.FlowLayout;

public class GUIExperiment5
{
   public static void main( String[] args )
   {
      JFrame f = new JFrame();
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      f.setTitle("A frame with a drawing and GUI");
      f.setLayout(new BorderLayout());
      f.setSize(500, 500);

      JPanel north = new JPanel(new FlowLayout());
      north.add(new JLabel("Type your name:"));
      north.add(new JTextField(10));
      f.add(north, BorderLayout.NORTH);

      f.add(new JButton("Submit"), BorderLayout.SOUTH);

      JPanel panel = new DrawPanel();
      panel.setBackground(Color.WHITE);
      f.add(panel, BorderLayout.CENTER);

      f.setVisible(true);
   }
}


@SuppressWarnings("serial")
class DrawPanel extends JPanel
{
    public void paintComponent(Graphics g)
    {
        super.paintComponent(g);  // call JPanel's version
        g.setColor(Color.RED);
        g.fillRect(20, 40, 70, 30);
        g.setColor(Color.BLUE);
        g.fillRect(60, 10, 20, 80);
    }
}
