import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JPanel;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

@SuppressWarnings("serial")
public class InteractivePanel extends JPanel implements KeyListener
{
   private int xNew = 300;
   private int yNew = 300;
   private int xOld = 300;
   private int yOld = 300;

   public InteractivePanel()
   {
   }

   @Override // overriding from inheritance
   public void paint(Graphics g)
   {
      g.setColor(Color.white);
      g.fillOval(xOld, yOld, 20, 20); // erase old disk
      g.setColor(Color.red);
      g.fillOval(xNew, yNew, 20, 20); // draw new disk
      xOld = xNew;
      yOld = yNew;
   }

   // implement the KeyListener interface (three methods)
   @Override // overriding for implementing an interface
   public void keyPressed(KeyEvent e)
   {
      final int keyCode = e.getKeyCode();
      if (keyCode == KeyEvent.VK_UP)
      {
         yNew = yOld - 5;
         repaint();
      }
      else if (keyCode == KeyEvent.VK_DOWN)
      {
         yNew = yOld + 5;
         repaint();
      }
      else if (keyCode == KeyEvent.VK_LEFT)
      {
         xNew = xOld - 5;
         repaint();
      }
      else if (keyCode == KeyEvent.VK_RIGHT)
      {
         xNew = xOld + 5;
         repaint();
      }
   }

   @Override public void keyReleased(KeyEvent e){ }
   @Override public void keyTyped(KeyEvent e){ }
}