import java.awt.Color;
import java.awt.Graphics;
import javax.swing.JPanel;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

@SuppressWarnings("serial")
public class SpotsPanel extends JPanel implements MouseListener
{
   private final int MAXSPOTS = 15;
   private final int xspots[] = new int[MAXSPOTS];
   private final int yspots[] = new int[MAXSPOTS];
   private       int currspots1 = 0;
   private       int currspots2 = 0;

   public SpotsPanel()
   {
   }

   @Override // overriding from inheritance
   public void paint(Graphics g)
   {
      g.setColor(Color.green);
      for (int i = 0; i < currspots2; ++i)
      {
         g.fillOval(xspots[i], yspots[i], 20, 20);
      }
   }

   // implement the MouseListener interface (five methods)
   @Override
   public void mouseClicked(MouseEvent e)
   {
      final int x = e.getX();
      final int y = e.getY();
      if (currspots1 == MAXSPOTS)
      {
         currspots1 = 0;
      }
      xspots[currspots1] = x;
      yspots[currspots1] = y;
      ++currspots1;
      if (currspots2 < MAXSPOTS)
      {
         ++currspots2;
      }
      repaint();
   }
   @Override public void mousePressed(MouseEvent e){ }
   @Override public void mouseReleased(MouseEvent e){ }
   @Override public void mouseEntered(MouseEvent e){ }
   @Override public void mouseExited(MouseEvent e){ }
}
